* {
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    background: linear-gradient(rgb(61, 77, 87) 10%, rgb(41, 41, 41));
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: #eeeeee;
}

header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgb(61, 77, 87);

    ul {
        display: flex;
        list-style: none;
        gap: 1.5rem;
        padding-right: 1rem;
    }

    .logo {
        width: 70px;
        height: 70px;
        padding: 10px;
        margin-left: 10px;
    }

    a {
        display: flex;
        text-decoration: none;
    }
}

.popup {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1.2rem;

    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: clamp(300px, 80%, 700px);

    background: rgb(78, 95, 105);
    padding: 15px;
    border-radius: 10px;

    .loginbox,
    .signupbox {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 1.5rem;

        height: clamp(400px, 80%, 550px);
        padding: 1rem 0px;

        button {
            width: 100%;
        }

        label[for="remember_me"] {
            display: flex;
            margin-top: 10px;
            gap: 5px;
            font-size: .9rem;
        }
        center{
            font-size: .9rem;
        }
    }

    a {
        color: inherit;
        text-decoration: none;
    }

    a:hover {
        text-decoration: underline;
    }

    .result{
        width: 100%;
        padding: 10px;
        border-radius: 5px;
        text-align: center;
    }
    .result.success{
        background: rgb(159, 219, 159);
        border: 1px solid rgb(17, 87, 17);
        color: rgb(17, 87, 17);
    }
    .result.error{
        border: 1px solid rgb(170, 31, 31);;
        background: rgb(219, 159, 159);
        color: rgb(170, 31, 31);
    }
}

input:not(input[type="checkbox"]) {
    border: none;
    outline: none;
    background: rgb(68, 82, 91);
    border: 1px solid #eeeeee;
    color: inherit;

    width: clamp(280px, 90%, 400px);
    font-size: 1rem;
    padding: 10px;
    border-radius: 5px;
}

input::placeholder {
    color: #eeeeee;
    font-size: .85rem;
}

button {
    padding: 10px 20px;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;
    border: 2px solid #d2c1b6;
    border-radius: 5px;
    color: #eeeeee;
    font-weight: bold;
    transition: all .2s;
}

button:hover {
    background: rgb(68, 82, 91);
}

[data-tr] {
    width: 100%;
    display: flex;
    white-space: nowrap;
    padding: 10px;
    border-bottom: 1px solid #eeeeee2d;
    font-size: .9rem;

    .subject{
        display: flex;
        align-items: center;
    }

    [data-label] {
        --lcolor:'';
        display: inline-block;
        width: 16px;
        height: 16px;
        margin-right: 10px;

        background: var(--lcolor);
        mask: url('images/label.svg') no-repeat center;
        mask-size: contain;
        -webkit-mask: url('images/label.svg') no-repeat center;
        -webkit-mask-size: contain;
    }

    [data-title] {
        padding-right: 20px;
    }

    span[data-content] {
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

[disabled]{
    opacity: .5;
    cursor:no-drop
}